Bug 21171 - The Intel Skylake/Kabylake microcode bug
Summary: The Intel Skylake/Kabylake microcode bug
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal critical
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA5TOO MGA5-64-OK advisory MGA6-64-OK
Keywords: validated_update
Depends on:
Blocks: 21269
  Show dependency treegraph
 
Reported: 2017-07-02 03:47 CEST by w unruh
Modified: 2017-07-22 10:50 CEST (History)
5 users (show)

See Also:
Source RPM: microcode
CVE:
Status comment:


Attachments

Description w unruh 2017-07-02 03:47:14 CEST
Description of problem: Debian has announced that the Skylake/Kabylake Intel processors has a bug in the hyperthreading which causes data corruption and crashes. For some Skylake processors an update of the microcode package fixes this. Mageia has released microcode-20170511 for cauldron, which I assume fixes this bug on select Skylake processors, and also  has it in nonfree/updates-testing on Mageia 5, but it does not seem to be moving from there to release. Is there some problem?
Comment 1 Thomas Backlund 2017-07-02 13:06:59 CEST
No problem, I just havent had time to review it and assign it for testing

CC: (none) => tmb
Assignee: bugsquad => tmb

Comment 2 w unruh 2017-07-11 18:10:19 CEST
Ubuntu just announced   20170707 microcode which fixes the bugs on all the Skylake and Kabylake processors. It would be good to get this out since this bug really is horrible if it strikes apparently.
https://launchpad.net/ubuntu/+source/intel-microcode/3.20170707.1
Comment 3 Thomas Backlund 2017-07-12 22:18:05 CEST
Great, I waited/hoped that Intel would release the Kaby Lake firnwares too (first they stated it would only be provided to hw manufacturers :/)

So here goes...



Advisory:
Updated microcode fixes HT bug in Intel Skylake and Kaby Lake processors

This microcode update fixes a Hyperthreading bug in Intel processor/microcode
based on Skylake and Kaby Lake platforms (includes Xeon v5 and v6 and some
Pentium models).

This defect can, when triggered, cause unpredictable system behavior: it
could cause spurious errors, such as application and system misbehavior,
data corruption, and possible data loss.

Note, in order for the firmware to get loaded early in the boot process, we
suggest you recreate the initrd after installing this update.

To do so, open up a terminal window, use the command 'su -' to gain root
privilegies and then use the command 'dracut -f'. Rebooting the system after
that will make the new microcode being used.

References:
https://bugs.mageia.org/show_bug.cgi?id=21171
https://www.intel.com/content/dam/www/public/us/en/documents/specification-updates/6th-gen-x-series-spec-update.pdf
https://lists.debian.org/debian-devel/2017/06/msg00308.html
https://tech.ahrefs.com/skylake-bug-a-detective-story-ab1ad2beddcd



Mageia 6:
SRPM:
microcode-0.20170707-1.mga6.nonfree.src.rpm

i586:
microcode-0.20170707-1.mga6.nonfree.src.rpm

x85_64:
microcode-0.20170707-1.mga6.nonfree.src.rpm



Mageia 5:
SRPM:
microcode-0.20170707-1.mga5.nonfree.src.rpm

i586:
microcode-0.20170707-1.mga5.nonfree.src.rpm

x85_64:
microcode-0.20170707-1.mga5.nonfree.src.rpm

Whiteboard: (none) => MGA5TOO
Assignee: tmb => qa-bugs
Version: 5 => 6

Thomas Backlund 2017-07-12 22:18:30 CEST

Component: Release (media or process) => RPM Packages

Comment 4 James Kerr 2017-07-14 14:10:41 CEST
On mga5-64

$ uname -r
4.4.74-desktop-1.mga5

$ grep name /proc/cpuinfo | sort -u
model name      : Intel(R) Core(TM) i7-6700 CPU @ 3.40GHz

$ grep 'microcode' /proc/cpuinfo
microcode       : 0x9e
..

Installed:
- microcode-0.20170707-1.mga5.nonfree.noarch
package installed cleanly

After rebuilding initrd and re-booting:

$ dmesg | grep microcode
[    0.000000] microcode: CPU0 microcode updated early to revision 0xba, date = 2017-04-09
...
[    0.476091] microcode: CPU0 sig=0x506e3, pf=0x2, revision=0xba
...

$ grep 'microcode' /proc/cpuinfo
microcode       : 0xba

No regressions noted

OK for mga5-64

Whiteboard: MGA5TOO => MGA5TOO MGA5-64-OK
CC: (none) => jim

Comment 5 w unruh 2017-07-17 06:22:50 CEST
Just installed  on Mageia 6 (updated to today)dmesg|grep microcode
dmesg|grep microcode

[    0.000000] microcode: microcode updated early to revision 0x62, date = 2017-04-27
[    0.674346] microcode: sig=0x806e9, pf=0x80, revision=0x62
[    0.674416] microcode: Microcode Update Driver: v2.01 <tigran@aivazian.fsnet.co.uk>, Peter Oruba

No idea why the different revision and date to the previous Mageia5 installation.

No real testing yet. Hyperthreading still not re-enabled in bios.
Thomas Backlund 2017-07-17 22:11:56 CEST

Blocks: (none) => 21269

Comment 6 claire robinson 2017-07-18 00:08:14 CEST
Testing mga6 64 without problems on KBL i5(dual core with HT)

Rebooted after install.

Checked using the "stress" package and top to ensure 4 cores shown and loaded.

# stress -c 4 -t 30
stress: info: [5366] dispatching hogs: 4 cpu, 0 io, 0 vm, 0 hdd
stress: info: [5366] successful run completed in 30s

watched top in another terminal, pressed 1 to show all cores.

Ran several times with much whirring of fans.
Comment 7 Len Lawrence 2017-07-18 11:18:35 CEST
mga5 x86_64

Installed on nvidia GTX750 machine with 8x Intel(R) Core(TM) i7-4790K CPU @ 4.00GHz and rebooted.

From dmesg:
[    0.412884] microcode: CPU0 sig=0x306c3, pf=0x2, revision=0x20

30 second stress tests on CPUs and RAM ran fine - some core swapping during the runs.

CC: (none) => tarazed25

Comment 8 Len Lawrence 2017-07-19 01:22:05 CEST
mga6  x86_64
8x Intel(R) Core(TM) i7-4790K CPU @ 4.00GHz 

Installed the microcode update and rebooted.
From /proc/cpuinfo:
microcode	: 0x20
Stress tests on cpu and RAM completed successfully.
Comment 9 Lewis Smith 2017-07-21 13:04:33 CEST
In the light of Comment 6, Comment 8, added OK for MGA6.
Doubting that this appliers to 32-bit, validating; advisory uploaded.

CC: (none) => lewyssmith
Keywords: (none) => validated_update
Whiteboard: MGA5TOO MGA5-64-OK => MGA5TOO MGA5-64-OK advisory MGA6-64-OK

Comment 10 Mageia Robot 2017-07-22 10:50:01 CEST
An update for this issue has been pushed to the Mageia Updates repository.

http://advisories.mageia.org/MGAA-2017-0028.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.